@charset "utf-8";

/*------------------------------------------

 CP 

------------------------------------------*/

/*--------------------------------
 Text
--------------------------------*/

:root {
	--font-color-base: #202020;
  --font-family-base: "Inter", "Noto Sans JP", "Yu Gothic UI", "Yu Gothic", Meiryo, ui-sans-serif, system-ui, -apple-system, Roboto, "Helvetica Neue", Arial, sans-serif;
  --font-size-base: 1.6rem;
  --font-weight-base: 400;
  --line-height-base: 1.9;
  --letter-spacing-base: 0;
  --text-align-base: left;

  --fc-link: #0078de;
  --fc-link-hv: #f60;
}


/*--------------------------------
 Color
--------------------------------*/

:root {
  --color-primary: #fe8d31;
  --color-primary-l: #e7f4ff;

  --color-border: #d5d3cf;
	--color-page-bg: #fcf0d0;
  --color-box-bg: #f8f5ee;

  --color-btn-green: #05b32e;
}


/*--------------------------------
 Layout
--------------------------------*/

:root {
  --main-width: 480px;

  --post-padding-side: 16px;
  --item-padding-side: 16px;
}

:root {
  --txt-margin: 22px;
  --block-margin: 24px;

  --box-padding: 16px;
  --bor-r: 6px;
}


@media ( min-width: 768px ) {
:root {
  --post-padding-side: 20px;
}
}


/*------------------------------------------

 Base Setting

------------------------------------------*/

html {
  font-size: 10px;
  scroll-behavior: smooth;
}

body {
  width: 100%;
  height: 100%;
  color: var(--font-color-base);
  font-family: var(--font-family-base);
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-base);
  letter-spacing: var(--letter-spacing-base);
  line-height: var(--line-height-base);
  text-align: var(--text-align-base);
  background: var(--color-page-bg);
}

* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  color: inherit;
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  letter-spacing: inherit;
  line-height: inherit;
  text-align: inherit;
  vertical-align: baseline;
  box-sizing: border-box;
}

*::before, *::after {
  box-sizing: border-box;
}

img, video, iframe{
  max-width: 100%;
  margin: 0 auto;
  display: block;
}

a {
  cursor: pointer;
}

b, strong {
  font-weight: 700;
}

h1, h2, h3, h4, h5 {
  font-weight: 700;
  line-height: 1.6;
}

.fc-primary {
	color: var(--color-primary);
}

.line-red {
  color: #dc2626;
  background: linear-gradient(to bottom, transparent 20%, #ffefef 20%, #ffefef 100%);
}



/*------------------------------------------

 Header

------------------------------------------*/

.g-header {
  padding: 2px 0;
  background: var(--color-primary);
}

.site-description {
  color: #fff;
  font-size: 1.3rem;
  font-weight: 600;
  text-align: center;
}


/*------------------------------------------

 Layout

------------------------------------------*/

.main {
  width: 100vw;
  max-width: var(--main-width);
  margin: 0 auto;
  padding: 28px var(--post-padding-side) 60px;
  background: #fff;
}



/*------------------------------------------

 Post Header

------------------------------------------*/



/*------------------------------------------

 Post Body

------------------------------------------*/

.post-body {
  font-size: var(--font-size-base);
  line-height: var(--line-height-base);
}

.post-body p {
  margin-top: var(--txt-margin);
}

.post-body p:first-child {
  margin-top: 0;
}




.post-body a:not(:is([class*="btn"] *)) {
  color: var(--fc-link);
}

.post-body a:not(:is([class*="btn"] *)):hover {
  color: var(--fc-link-hv);
}

.post-body .ta-right a {
  text-decoration: underline;
}


.post-body > h2 {
  margin: 40px 0 20px;
  padding: 16px;
  font-size: 1.9rem;
  background-color: var(--color-page-bg);
  background-image: linear-gradient(to bottom right, transparent 0%, transparent 25%, rgba(255, 255, 255, 1) 25%, rgba(255, 255, 255, 1) 50%, transparent 50%, transparent 75%, rgba(255, 255, 255, 1) 75%, rgba(255, 255, 255, 1) 100%);
  background-repeat: repeat;
  background-size: 4px 4px;
  border: 2px solid #fff;
  outline: 1px solid var(--color-border);
  border-radius: 6px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
  position: relative;
}

.post-body > h2::before {
  width: 4px;
  height: calc(100% - 20px);
  background: var(--color-primary);
  border-radius: 0 4px 4px 0;
  content: "";
  display: block;
  position: absolute;
  top: 10px;
  left: 0;
}

.post-body .img {
  margin: var(--block-margin) 0;
}



/*------------------------------------------

 Box

------------------------------------------*/

.box {
  margin: var(--block-margin) 0;
  padding: var(--box-padding);
  border-radius: var(--block-r);
  position: relative;
}

.box:last-child {
  margin-bottom: 0;
}

.box:has(.box-caption--label) {
  margin-top: calc(var(--block-margin) + 34px);
  border-top-left-radius: 0;
}

.box:is(.box + *) {
  margin-top: calc(var(--block-margin * 0.6));
}


.box--border-primary {
  border: 2px solid var(--color-primary);
}

.box--border-gray {
  border: 3px solid #eee;
}

.box--border-dotted-orange {
  border: 2px dotted var(--color-orange);
}

.box--bg-gray {
  background: var(--color-page-bg);
}

.box--bg-yellow {
  background: #fffae7;
}

.box--bg-pink {
  background: #fff0f0;
}

.box--bg-primary {
  background: var(--color-primary-l);
}

.box--shadow {
  box-shadow: var(--box-shadow-base);
}

.box--r-none {
  border-radius: 0;
}

.box--note {
  margin-top: calc(var(--block-margin) + 30px);
  background-image: linear-gradient(0deg, transparent calc(100% - 1px), #f6f6f6 calc(100% - 1px)),
                    linear-gradient(90deg, transparent calc(100% - 1px), #f6f6f6 calc(100% - 1px));
  background-repeat: repeat;
  background-size: 16px 16px;
  background-position: -1px -1px;
  border-top: 4px solid var(--color-primary);
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.12);
  border-radius: 0;
  position: relative;
}

.box--note__caption {
  height: 30px;
  padding: 2px 12px 0;
  color: #fff;
  font-size: 1.45rem;
  font-weight: 600;
  background: var(--color-primary);
  border-radius: 3px 3px 0 0;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: -34px;
  left: 0;
  gap: 4px;
}

.box--note__caption::before {
  width: 16px;
  height: 16px;
  background-image: url(../img/icon-light-white.svg);
  background-size: 100%;
  background-repeat: no-repeat;
  content: "";
  display: block;
  transform: translateY(-1px);
}

.box--note__caption + p,
.box--note__caption + ul {
  margin-top: 0 !important;
}

.box--info {
  font-size: 1.45rem;
  line-height: 1.8;
}

.box--info::before {
  width: 32px;
  height: 32px;
  margin: 0 auto 4px;
  background: url(../img/icon-bikkuri.svg) no-repeat center / 100%;
  content: "";
  display: block;
  transform: translateY(-3px);
}


.box--alert {
  background: #fff0f0;
  display: flex;
  align-items: center;
  gap: 12px;
}

.box--alert::before {
  width: 30px;
  height: 30px;
  background: url(../img/icon-bikkuri.svg) no-repeat center / 100%;
  content: "";
  display: block;
}

.box--alert p {
  flex: 1;
}



/*------------------------------------------

 List

------------------------------------------*/

.post-body li {
  position: relative;
}

.post-body ul:not(:first-child) {
  margin-top: var(--text-margin);
}

.post-body .list--default li {
  padding-left: 16px;
}

.post-body .list--default li:not(:first-child) {
  margin-top: 3px;
}

.post-body .list--default li::before {
  width: 6px;
  height: 6px;
  background: var(--color-primary);
  border-radius: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 11px;
  left: 2px;
}

.post-body .list-lh--tight li:not(:first-child) {
  margin-top: 0;
}



/*------------------------------------------

 Ranking

------------------------------------------*/

.ranking {
  margin: 40px -12px 0;
}

.ranking__inner {
  width: 100%;
  overflow-x: auto;
}

.ranking table {
  width: 130%;
  table-layout: fixed;
  border-top: 1px solid var(--color-border);
}

.ranking .cell--heading {
  width: 66px;
  font-size: 1.3rem;
  font-weight: 600;
  line-height: 1.5;
  text-align: center;
  vertical-align: middle;
  background: var(--color-box-bg);
  border-bottom: 1px solid var(--color-border);
  position: sticky;
  left: 0;
}

.ranking .cell--service {
  padding: 10px 12px 4px;
  text-align: center;
  border-right: 1px solid var(--color-border);
  border-bottom: 1px solid var(--color-border);
}

.ranking .cell--service a {
  font-size: 1.4rem;
  font-weight: 600;
  text-decoration: underline;
}


.ranking tbody td {
  padding: 10px 4px;
  font-size: 1.5rem;
  text-align: center;
  line-height: 1.5;
  vertical-align: middle;
  border-right: 1px solid var(--color-border);
  border-bottom: 1px solid var(--color-border);
}

.ranking__seal {
  width: 30px;
  margin: 0 auto 3px;
}

.ranking__notes-txt {
  margin: 3px 0 0;
  font-size: 1.15rem;
}



/*------------------------------------------

 CTA

------------------------------------------*/

.btn {
  margin-top: 28px;
}

.btn a {
  height: 88px;
  color: #fff;
  font-size: 1.95rem;
  font-weight: 600;
  line-height: 1;
  background: linear-gradient(to bottom, #00c42e, #00a326);
  border: 2px solid #fff;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  border-radius: 6px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 0;
  gap: 10px;
}

.btn a::after {
  width: 20px;
  aspect-ratio: 1 / 1;
  background: url(../img/arrow-circle.svg) no-repeat center / 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 14px;
  transform: translateY(-50%);
}


/*--------------------------------
 CTA / Button Animation
--------------------------------*/

.btn-animation--poyon {
  animation: poyon 2.5s infinite ease-out;
  transform-origin: 50% 50%;
  animation-play-state: running;
}

@keyframes poyon {
  0%  { transform: scale(0.9, 0.9); }
  5%  { transform: scale(1.08, 1.08); }
  10% { transform: scale(1, 1); }
  15% { transform: scale(1.03, 1.03); }
  20% { transform: scale(1, 1); }
  100%{ transform: scale(1, 1); }
}


.btn-animation--shiny {
  position: relative;
  z-index: 0;
  overflow: hidden;
}

.btn-animation--shiny::before {
  width: 30px;
  height: 100%;
  background: #37e515;
  content: "";
  display: block;
  position: absolute;
  top: -60px;
  left: 0;
  z-index: -1;
  animation: shiny 3s ease-in-out infinite;
  opacity: .9;
  overflow: hidden;
}

@keyframes shiny {
  0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
  85% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
  86% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
  100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}



/*--------------------------------
 CTA / Official Link
--------------------------------*/

.official-link {
  margin-top: 16px;
}

.official-link p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.official-link p::before {
  width: fit-content;
  height: 20px;
  padding: 0 8px;
  font-size: 1.2rem;
  font-weight: 600;
  background: var(--color-page-bg);
  border-radius: 3px;
  content: "公式";
  display: flex;
  align-items: center;
}

.official-link a{
  font-size: 1.55rem;
  font-weight: 600;
  text-decoration: underline;
}



/*--------------------------------
 CTA / Box
--------------------------------*/ 

.cta-box {
  margin-top: 20px;
  padding: 20px 16px;
  background: var(--color-page-bg);
}

.cta-box li {
  font-size: 1.5rem;
}

.cta-box li:not(:first-child) {
  margin-top: 5px;
}



/*------------------------------------------

 Item

------------------------------------------*/

.items {
  margin: 40px -10px 0;
}

.item {
  padding: 0 var(--item-padding-side) 40px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.item:not(:first-child) {
  margin-top: 24px;
}

.item-header {
  margin: 0 calc(var(--item-padding-side) * -1) 8px;
  padding: 7px;
  background: var(--color-primary);
}

.item-header__inner {
  padding: 8px 12px;
  background: #fff;
  border-radius: 5px;
  display: grid;
  grid-template-columns: 48px 1fr;
  align-items: center;
  gap: 10px;
}

.item-header__inner::before {
  aspect-ratio: 1 / 1;
  background-repeat: no-repeat;
  background-size: 100%;
  content: "";
}

.item-header__inner:is(.item:first-child *)::before {
  background-image: url(../img/badge-rank1.svg);
}

.item-header__inner:is(.item:nth-child(2) *)::before {
  background-image: url(../img/badge-rank2.svg);
}

.item-header__inner:is(.item:nth-child(3) *)::before {
  background-image: url(../img/badge-rank3.svg);
}



.item-header a {
  font-size: 2.1rem;
  font-weight: 600;
  text-decoration: underline;
}

.item .item-catch {
  margin-top: 16px;
  font-size: 1.75rem;
  font-weight: 600;
  line-height: 1.7;
  text-align: center;
}

.item-img {
  width: 320px;
  margin: 12px auto 0;
}



/*-------------------------------------
 
 Comment

-------------------------------------*/

.comment {
  margin-top: 40px;
}

.comment .comment__notes {
  margin-top: 12px;
  color: var(--fc-gray);
  font-size: 1.1rem;
  text-align: right;
}

.comment-item {
  border: 1px solid var(--color-border);
  border-radius: 8px;
}

.comment-item + .comment-item {
  margin-top: 20px;
}

.comment-item__header {
  padding: 10px 16px;
  border-bottom: 1px dotted var(--color-border);
  display: grid;
  grid-template-columns: 48px 1fr;
  align-items: center;
  gap: 12px;
  position: relative;
}

.comment-item__header::before {
  width: 3px;
  height: 48px;
  background: var(--color-primary);
  border-radius: 0 3px 3px 0;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: -1px;
  transform: translateY(-50%);
}

.comment-item__avatar img {
  aspect-ratio: 1 / 1;
  border: 2px solid var(--color-border);
  border-radius: 100%;
}

.comment-item__heading {
  margin: 2px 0 0;
  font-size: 1.6rem;
  line-height: 1.6;
  font-weight: 600;
}

.comment-item .commen-item__poster-info {
  margin: 2px 0 -3px;
  color: var(--fc-gray);
  font-size: 1.35rem;
}

.comment-item__body {
  padding: 12px 16px;
  font-size: 1.45rem;
  line-height: 1.7;
}

.comment-item__body p:not(:first-child) {
  margin-top: 16px;
}


.item-inner-heading {
  margin: 0 0 20px;
  padding: 8px 12px;
  font-size: 1.7rem;
  background: linear-gradient(to bottom, #fff, var(--color-page-bg));
  border-top: 4px solid var(--color-primary);
  border-bottom: 1px solid var(--color-border);
}



/*------------------------------------------

 Modules - Talk

------------------------------------------*/

.talk {
  margin: 30px -4px 0;
  display: flex;
  align-items: start;
}

.talk:first-child {
  margin: 0;
}

.talk__img {
  width: 58px;
  height: 58px;
  position: relative;
}

.talk__img:last-child::after {
  width: 56px;
  height: 20px;
  color: var(--fc-gray);
  font-size: 1.3rem;
  font-weight: 500;
  letter-spacing: 0.1em;
  content: none;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 50%;
  bottom: -22px;
  transform: translateX(-50%);
}

.talk__img img {
  border-radius: 100%;
}

.talk__text {
  min-height: 58px;
  padding: 12px 14px;
  background: #f4f7f9;
  border-radius: 10px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex: 1;
  position: relative;
}

.talk__text:before {
  width: 15px;
  height: 23px;
  background: url(../img/talk-arrow.svg) no-repeat;
  background-size: 15px 23px;
  content: "";
  display: block;
  position: absolute;
  top: 3px;
}

.talk__text:last-child {
  margin: 0 0 0 14px;
}

.talk__text:last-child:before {
  left: -13px;
}

.talk__text:first-child {
  margin: 0 14px 0 0;
}

.talk__text:first-child:before {
  right: -13px;
  transform: scale(-1, 1);
}

.talk__text p {
  font-size: 95%;
  line-height: 1.7;
}

.talk__text p + p {
  margin-top: 16px;
}

.talk + .talk {
  margin-top: 20px;
}

.talk.margin--l {
  margin-top: 44px !important;
}



/*------------------------------------------

Area

------------------------------------------*/

.area {
  margin-top: 24px;
}

.area__block {
  display: grid;
  grid-template-columns: 96px 1fr;
  border-top: 1px solid var(--color-border);
  gap: 10px;
}

.area__block:last-child {
  border-bottom: 1px solid var(--color-border);
}

.area dt {
  font-size: 1.3rem;
  font-weight: 600;
  text-align: center;
  background: var(--color-page-bg);
  display: flex;
  justify-content: center;
  align-items: center;
}

.area ul {
  padding: 10px 0;
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}

.area li {
  font-size: 1.5rem;
  line-height: 1.2;
}

.area li:not(:last-child) {
  padding-right: 8px;
  border-right: 1px solid #aaa;
}

.area li a {
  text-decoration: underline;
}



/*------------------------------------------

 Footer

------------------------------------------*/

.g-footer {
  width: 100vw;
  max-width: var(--main-width);
  margin: 0 auto;
  padding: 32px;
  color: #fff;
  text-align: center;
  background: #393230;
}

.footer-copyright {
  font-size: 1.3rem;
}